> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-postgresql-tls-support.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update ClickHouse settings

> **Disclaimer:** This beta endpoint is evolving; the API contract may change. <br /><br /> Updates one or more ClickHouse settings for the service. To reset a setting to its platform default, use the [DELETE single setting](/products/cloud/api-reference/service/service-clickhouse-setting-delete) endpoint. Use the [schema endpoint](/products/cloud/api-reference/service/service-clickhouse-settings-schema-get) to discover which settings are configurable.

<span data-endpoint-badge="Beta"><Badge color="blue">Beta</Badge></span>

**Disclaimer:** This beta endpoint is evolving; the API contract may change. <br /><br /> Updates one or more ClickHouse settings for the service. To reset a setting to its platform default, use the [DELETE single setting](/products/cloud/api-reference/service/service-clickhouse-setting-delete) endpoint. Use the [schema endpoint](/products/cloud/api-reference/service/service-clickhouse-settings-schema-get) to discover which settings are configurable.


## OpenAPI

````yaml _specs/cloud-openapi.json PATCH /v1/organizations/{organizationId}/services/{serviceId}/clickhouseSettings
openapi: 3.1.2
info:
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
  contact:
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-910487
    email: support@clickhouse.com
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Role Management
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
  - name: ClickStack
  - name: Postgres
paths:
  /v1/organizations/{organizationId}/services/{serviceId}/clickhouseSettings:
    patch:
      tags:
        - Service
      summary: Update ClickHouse settings
      description: >-
        **Disclaimer:** This beta endpoint is evolving; the API contract may
        change. <br /><br /> Updates one or more ClickHouse settings for the
        service. To reset a setting to its platform default, use the [DELETE
        single setting](#tag/Service/operation/serviceClickhouseSettingDelete)
        endpoint. Use the [schema
        endpoint](#tag/Service/operation/serviceClickhouseSettingsSchemaGet) to
        discover which settings are configurable.
      operationId: serviceClickhouseSettingsUpdate
      parameters:
        - in: path
          name: organizationId
          description: ID of the organization that owns the service.
          required: true
          schema:
            type: string
            format: uuid
        - in: path
          name: serviceId
          description: ID of the service.
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ServiceClickhouseSettingsPatchRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    description: HTTP status code.
                    example: 200
                  requestId:
                    type: string
                    description: Unique id assigned to every request. UUIDv4
                    format: uuid
                  result:
                    $ref: >-
                      #/components/schemas/ServiceClickhouseSettingsPatchResponse
        '400':
          description: >-
            The request cannot be processed due to a client error. Please verify
            your request parameters and try again.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    description: HTTP status code.
                    example: 400
                  error:
                    type: string
                    description: Detailed error description.
                  requestId:
                    type: string
                    description: Unique id assigned to every request. UUIDv4
                    format: uuid
        '500':
          description: >-
            An internal server error has occurred. If this issue persists,
            please contact ClickHouse Cloud support for assistance.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    description: HTTP status code.
                    example: 500
                  error:
                    type: string
                    description: Detailed error description.
                  requestId:
                    type: string
                    description: Unique id assigned to every request. UUIDv4
                    format: uuid
components:
  schemas:
    ServiceClickhouseSettingsPatchRequest:
      properties:
        settings:
          description: >-
            JSON object of setting names to values. Example: {"compatibility":
            "24.8"}
          type: string
          example: '{"compatibility": "24.8"}'
      required:
        - settings
    ServiceClickhouseSettingsPatchResponse:
      properties:
        settings:
          description: >-
            JSON object of setting names to their applied values. Example:
            {"compatibility": "24.8"}
          type: string
          example: '{"compatibility": "24.8"}'
        warnings:
          type: array
          description: Warnings for settings that may have disruptive effects.
          items:
            $ref: '#/components/schemas/ServiceClickhouseSettingWarning'
    ServiceClickhouseSettingWarning:
      properties:
        name:
          description: Name of the setting the warning applies to.
          type: string
          example: compatibility
        message:
          description: Warning message.
          type: string
          example: >-
            Changing the compatibility version without comprehensive testing can
            cause query failures or instability.
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >-
        Use key ID and key secret obtained in ClickHouse Cloud console:
        https://clickhouse.com/docs/cloud/manage/openapi

````